com.genesyslab.wfm7.API.service.config761

## Class CfgExceptionType

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgExceptionType

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgExceptionType
      extends java.lang.Object
      implements java.io.Serializable

  Exception Type information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `private boolean` | `wmAgentInit` Specifies whether Exception can be agent initiated or not.
    `private int` | `wmColor` Schedule state RGB color value.
    `private boolean` | `wmConvertable2DayOff` Is convertable to Day Off? (true/false)
    `private double` | `wmDeletedDateTime`
    `private double` | `wmEndDate` Secifies end of date range when agent can initiate the exception.
    `private int` | `wmExceptionTypeId` Exception Type ID
    `private int` | `wmFontColor` Schedule state font RGB color value.
    `private boolean` | `wmFullDay` Is full-day? (true/false)
    `private java.lang.String` | `wmName` Time Off Type Name
    `private boolean` | `wmOnsite` Is on-site? (true/false)
    `private boolean` | `wmPaid` Is Exception paid? (true/false)
    `private java.lang.String` | `wmShortName` Time Off Type Short Name
    `private int` | `wmSiteId` Site ID--identifies `CfgSite` object
    `private double` | `wmStartDate` Secifies start of date range when agent can initiate the exception.
    `private int` | `wmTimeOffTypeId` Time Off Type ID, if wmUsedAsVacation = true
    `private int` | `wmTradeRule` Trading Rule (`ECfgTradeRule`)
    `private boolean` | `wmUsedAsVacation` Is used as Time Off? (true/false)
    `private boolean` | `wmUsedInMeeting` Used as a Meeting? (true/false)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgExceptionType()`
    `CfgExceptionType(int wmExceptionTypeId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, boolean wmUsedInMeeting, boolean wmPaid, boolean wmOnsite, boolean wmFullDay, boolean wmConvertable2DayOff, boolean wmUsedAsVacation, int wmTimeOffTypeId, int wmTradeRule, double wmDeletedDateTime, int wmColor, int wmFontColor, boolean wmAgentInit, double wmStartDate, double wmEndDate, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgExceptionType.
    `int` | `getWmColor()` Gets the wmColor value for this CfgExceptionType.
    `double` | `getWmDeletedDateTime()` Gets the wmDeletedDateTime value for this CfgExceptionType.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this CfgExceptionType.
    `int` | `getWmExceptionTypeId()` Gets the wmExceptionTypeId value for this CfgExceptionType.
    `int` | `getWmFontColor()` Gets the wmFontColor value for this CfgExceptionType.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgExceptionType.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgExceptionType.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgExceptionType.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this CfgExceptionType.
    `int` | `getWmTimeOffTypeId()` Gets the wmTimeOffTypeId value for this CfgExceptionType.
    `int` | `getWmTradeRule()` Gets the wmTradeRule value for this CfgExceptionType.
    `boolean` | `isWmAgentInit()` Gets the wmAgentInit value for this CfgExceptionType.
    `boolean` | `isWmConvertable2DayOff()` Gets the wmConvertable2DayOff value for this CfgExceptionType.
    `boolean` | `isWmFullDay()` Gets the wmFullDay value for this CfgExceptionType.
    `boolean` | `isWmOnsite()` Gets the wmOnsite value for this CfgExceptionType.
    `boolean` | `isWmPaid()` Gets the wmPaid value for this CfgExceptionType.
    `boolean` | `isWmUsedAsVacation()` Gets the wmUsedAsVacation value for this CfgExceptionType.
    `boolean` | `isWmUsedInMeeting()` Gets the wmUsedInMeeting value for this CfgExceptionType.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgExceptionType.
    `void` | `setWmAgentInit(boolean wmAgentInit)` Sets the wmAgentInit value for this CfgExceptionType.
    `void` | `setWmColor(int wmColor)` Sets the wmColor value for this CfgExceptionType.
    `void` | `setWmConvertable2DayOff(boolean wmConvertable2DayOff)` Sets the wmConvertable2DayOff value for this CfgExceptionType.
    `void` | `setWmDeletedDateTime(double wmDeletedDateTime)` Sets the wmDeletedDateTime value for this CfgExceptionType.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this CfgExceptionType.
    `void` | `setWmExceptionTypeId(int wmExceptionTypeId)` Sets the wmExceptionTypeId value for this CfgExceptionType.
    `void` | `setWmFontColor(int wmFontColor)` Sets the wmFontColor value for this CfgExceptionType.
    `void` | `setWmFullDay(boolean wmFullDay)` Sets the wmFullDay value for this CfgExceptionType.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgExceptionType.
    `void` | `setWmOnsite(boolean wmOnsite)` Sets the wmOnsite value for this CfgExceptionType.
    `void` | `setWmPaid(boolean wmPaid)` Sets the wmPaid value for this CfgExceptionType.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgExceptionType.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgExceptionType.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this CfgExceptionType.
    `void` | `setWmTimeOffTypeId(int wmTimeOffTypeId)` Sets the wmTimeOffTypeId value for this CfgExceptionType.
    `void` | `setWmTradeRule(int wmTradeRule)` Sets the wmTradeRule value for this CfgExceptionType.
    `void` | `setWmUsedAsVacation(boolean wmUsedAsVacation)` Sets the wmUsedAsVacation value for this CfgExceptionType.
    `void` | `setWmUsedInMeeting(boolean wmUsedInMeeting)` Sets the wmUsedInMeeting value for this CfgExceptionType.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmExceptionTypeId

          private int wmExceptionTypeId

      Exception Type ID

    - #### wmSiteId

          private int wmSiteId

      Site ID--identifies `CfgSite` object

    - #### wmName

          private java.lang.String wmName

      Time Off Type Name

    - #### wmShortName

          private java.lang.String wmShortName

      Time Off Type Short Name

    - #### wmColor

          private int wmColor

      Schedule state RGB color value. A value of -1 stands for NULL.

    - #### wmFontColor

          private int wmFontColor

      Schedule state font RGB color value. a value of -1 stands for NULL.

    - #### wmUsedInMeeting

          private boolean wmUsedInMeeting

      Used as a Meeting? (true/false)

    - #### wmPaid

          private boolean wmPaid

      Is Exception paid? (true/false)

    - #### wmOnsite

          private boolean wmOnsite

      Is on-site? (true/false)

    - #### wmFullDay

          private boolean wmFullDay

      Is full-day? (true/false)

    - #### wmConvertable2DayOff

          private boolean wmConvertable2DayOff

      Is convertable to Day Off? (true/false)

    - #### wmUsedAsVacation

          private boolean wmUsedAsVacation

      Is used as Time Off? (true/false)

    - #### wmTimeOffTypeId

          private int wmTimeOffTypeId

      Time Off Type ID, if wmUsedAsVacation = true

    - #### wmTradeRule

          private int wmTradeRule

      Trading Rule (`ECfgTradeRule`)

    - #### wmDeletedDateTime

          private double wmDeletedDateTime

    - #### wmAgentInit

          private boolean wmAgentInit

      Specifies whether Exception can be agent initiated or not.

    - #### wmStartDate

          private double wmStartDate

      Secifies start of date range when agent can initiate the exception. `OleDateTime`

    - #### wmEndDate

          private double wmEndDate

      Secifies end of date range when agent can initiate the exception. `OleDateTime`

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgExceptionType

          public CfgExceptionType()

    - #### CfgExceptionType

          public CfgExceptionType(int wmExceptionTypeId,
                          int wmSiteId,
                          java.lang.String wmName,
                          java.lang.String wmShortName,
                          boolean wmUsedInMeeting,
                          boolean wmPaid,
                          boolean wmOnsite,
                          boolean wmFullDay,
                          boolean wmConvertable2DayOff,
                          boolean wmUsedAsVacation,
                          int wmTimeOffTypeId,
                          int wmTradeRule,
                          double wmDeletedDateTime,
                          int wmColor,
                          int wmFontColor,
                          boolean wmAgentInit,
                          double wmStartDate,
                          double wmEndDate,
                          long timestamp)

  - ### Method Detail

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the wmExceptionTypeId value for this CfgExceptionType.
      Returns:
        wmExceptionTypeId

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int wmExceptionTypeId)

      Sets the wmExceptionTypeId value for this CfgExceptionType.
      Parameters:
        `wmExceptionTypeId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgExceptionType.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgExceptionType.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgExceptionType.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgExceptionType.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgExceptionType.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgExceptionType.
      Parameters:
        `wmShortName` -

    - #### isWmUsedInMeeting

          public boolean isWmUsedInMeeting()

      Gets the wmUsedInMeeting value for this CfgExceptionType.
      Returns:
        wmUsedInMeeting

    - #### setWmUsedInMeeting

          public void setWmUsedInMeeting(boolean wmUsedInMeeting)

      Sets the wmUsedInMeeting value for this CfgExceptionType.
      Parameters:
        `wmUsedInMeeting` -

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the wmPaid value for this CfgExceptionType.
      Returns:
        wmPaid

    - #### setWmPaid

          public void setWmPaid(boolean wmPaid)

      Sets the wmPaid value for this CfgExceptionType.
      Parameters:
        `wmPaid` -

    - #### isWmOnsite

          public boolean isWmOnsite()

      Gets the wmOnsite value for this CfgExceptionType.
      Returns:
        wmOnsite

    - #### setWmOnsite

          public void setWmOnsite(boolean wmOnsite)

      Sets the wmOnsite value for this CfgExceptionType.
      Parameters:
        `wmOnsite` -

    - #### isWmFullDay

          public boolean isWmFullDay()

      Gets the wmFullDay value for this CfgExceptionType.
      Returns:
        wmFullDay

    - #### setWmFullDay

          public void setWmFullDay(boolean wmFullDay)

      Sets the wmFullDay value for this CfgExceptionType.
      Parameters:
        `wmFullDay` -

    - #### isWmConvertable2DayOff

          public boolean isWmConvertable2DayOff()

      Gets the wmConvertable2DayOff value for this CfgExceptionType.
      Returns:
        wmConvertable2DayOff

    - #### setWmConvertable2DayOff

          public void setWmConvertable2DayOff(boolean wmConvertable2DayOff)

      Sets the wmConvertable2DayOff value for this CfgExceptionType.
      Parameters:
        `wmConvertable2DayOff` -

    - #### isWmUsedAsVacation

          public boolean isWmUsedAsVacation()

      Gets the wmUsedAsVacation value for this CfgExceptionType.
      Returns:
        wmUsedAsVacation

    - #### setWmUsedAsVacation

          public void setWmUsedAsVacation(boolean wmUsedAsVacation)

      Sets the wmUsedAsVacation value for this CfgExceptionType.
      Parameters:
        `wmUsedAsVacation` -

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the wmTimeOffTypeId value for this CfgExceptionType.
      Returns:
        wmTimeOffTypeId

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int wmTimeOffTypeId)

      Sets the wmTimeOffTypeId value for this CfgExceptionType.
      Parameters:
        `wmTimeOffTypeId` -

    - #### getWmTradeRule

          public int getWmTradeRule()

      Gets the wmTradeRule value for this CfgExceptionType.
      Returns:
        wmTradeRule

    - #### setWmTradeRule

          public void setWmTradeRule(int wmTradeRule)

      Sets the wmTradeRule value for this CfgExceptionType.
      Parameters:
        `wmTradeRule` -

    - #### getWmDeletedDateTime

          public double getWmDeletedDateTime()

      Gets the wmDeletedDateTime value for this CfgExceptionType.
      Returns:
        wmDeletedDateTime

    - #### setWmDeletedDateTime

          public void setWmDeletedDateTime(double wmDeletedDateTime)

      Sets the wmDeletedDateTime value for this CfgExceptionType.
      Parameters:
        `wmDeletedDateTime` -

    - #### getWmColor

          public int getWmColor()

      Gets the wmColor value for this CfgExceptionType.
      Returns:
        wmColor

    - #### setWmColor

          public void setWmColor(int wmColor)

      Sets the wmColor value for this CfgExceptionType.
      Parameters:
        `wmColor` -

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the wmFontColor value for this CfgExceptionType.
      Returns:
        wmFontColor

    - #### setWmFontColor

          public void setWmFontColor(int wmFontColor)

      Sets the wmFontColor value for this CfgExceptionType.
      Parameters:
        `wmFontColor` -

    - #### isWmAgentInit

          public boolean isWmAgentInit()

      Gets the wmAgentInit value for this CfgExceptionType.
      Returns:
        wmAgentInit

    - #### setWmAgentInit

          public void setWmAgentInit(boolean wmAgentInit)

      Sets the wmAgentInit value for this CfgExceptionType.
      Parameters:
        `wmAgentInit` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this CfgExceptionType.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this CfgExceptionType.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this CfgExceptionType.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this CfgExceptionType.
      Parameters:
        `wmEndDate` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgExceptionType.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgExceptionType.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.